#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# This file is part of InVivoCrowdingSimulator.  Please visit
# http://fun.bio.keio.ac.jp/software/invivosim/ for more
# information about InVivoCrowdingSimulator and its latest version.
#
# Copyright (C) 2011-2012 by the Keio University, Yokohama, Japan
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation.  A copy of the license agreement is provided
# in the file named "LICENSE.txt" included with this software distribution.
#
# Last modified: Sat, 05 May 2012 02:11:15 +0900
# 

from mpl_toolkits.mplot3d import Axes3D
import matplotlib.pyplot as plt

fig = plt.figure()
ax = fig.add_subplot(111, projection='3d', alpha=1.0)
X = []
Y = []
Z = []

for line in open('space.txt', 'r'):
  sx, sy, sz = line[:-1].split('\t')
  X.append(int(sx))
  Y.append(int(sy))
  Z.append(int(sz))

ax.scatter(X, Y, Z, s=8, lw=1)
plt.show()
